import { LitElement } from 'lit';
import type { ToastInternal, ToastOptions } from './types';
export declare class WarpToastContainer extends LitElement {
    static styles: import("lit").CSSResult[];
    private _toasts;
    private _interval;
    connectedCallback(): void;
    disconnectedCallback(): void;
    static init(): Element;
    /** @internal */
    get _toastsArray(): ToastInternal[];
    get(id: string | number): ToastInternal | undefined;
    set(toast: ToastOptions): Map<string | number, ToastInternal>;
    del(id: string | number): Promise<boolean>;
    render(): import("lit").TemplateResult<1>;
}
